# $Id: Makefile,v 1.8 2004-04-21 14:22:03 rhl Exp $
SHELL = /bin/sh
DIRS = bin include lib src ups

.PHONY : all clean
all clean :
	@for f in $(DIRS); do \
		if [ ! -d $$f ]; then \
			echo No such directory: $$f >&2; \
		else \
			(cd $$f; $(MAKE) $(MFLAGS) $@); \
		fi \
	done

clean : topClean
.PHONY : topClean
topClean:
	$(RM) *~ core* TAGS

.PHONY : tags
tags:
	etags `find . ! -name \*#\* \( -name \*.[ch] -o -name \*.cpp \) -print`
#
# Assumes that Utilities is checked out one level up
#
check :
	../Utilities/bin/check-namespace -d `find . ! -name \*#\* -name \*.[ha] -print`

doxygen:
	(cd include; doxygen)

publish:
	rsync -e ssh -auv ./ poiserver0:PSLib/
